Organisation
Note: All endpoints require authentication and an
X-Tenantheader. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.
Endpoints on this page
- GET /api/organisation/basic-info-by-title
- GET /api/organisation/department
- GET /api/organisation/organisations-member-count
- GET /api/organisation/team-categories
- GET /api/organisation/teams
- GET /api/organisation/{organisationId}
- GET /api/organisation/{organisationId}/basic
- POST /api/organisation/{organisationId}/invitations
- PUT /api/organisation/{organisationId}/toggletwofactor
- GET /api/organisation/{organisationId}/approvals
- PUT /api/organisation/{organisationId}/approvals/{personId}
- DELETE /api/organisation/{organisationId}/approvals/{personId}
- GET /api/organisation/members
- POST /api/organisation/{organisationId}/members/me
- DELETE /api/organisation/{organisationId}/members/me
- GET /api/organisation/type/{organisationType}
- POST /api/organisation/type
GET /api/organisation/basic-info-by-title
List basic info by titles.
🔒Access — Power user
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
title |
query | string | Yes | |
typeid |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 204 | |
| 400 |
Response body
[
{
"TypeId": 0,
"Id": 0,
"Title": "string"
}
]| Field | Type |
|---|---|
TypeId | integer (int32) |
Id | integer (int32) |
Title | string |
GET /api/organisation/department
List departments.
🔒Access — Site admin
Responses
| Status | Body |
|---|---|
| 200 | object |
GET /api/organisation/organisations-member-count
Returns a list of organisations that meet the search criteria - Currently this endpoint is utilised solely by Sideways6
🔒Access — Power user
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
searchTerm |
query | string | No | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No | |
typeId |
query | string | No | Allowed values: Company, Department, Group, Location, Team, SectionGroup, Persona, DigitalSignage, Geofence |
Responses
| Status | Body |
|---|---|
| 200 | object |
GET /api/organisation/team-categories
Get a list of team categories
Responses
| Status | Body |
|---|---|
| 200 | object |
| 400 | |
| 404 |
GET /api/organisation/teams
Get a list of teams
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
teamsRequest.offset |
query | integer (int32) | No | |
teamsRequest.limit |
query | integer (int32) | No | |
teamsRequest.name |
query | string | No | |
teamsRequest.letter |
query | string | No | |
teamsRequest.keyword |
query | string | No | |
teamsRequest.categoryId |
query | integer (int32) | No | |
teamsRequest.myTeams |
query | boolean | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 204 | |
| 500 |
Response body
{
"StatusCode": "Continue",
"Result": {
"OrganisationId": 0,
"TypeId": "Company",
"Title": "string",
"Description": "string",
"Active": 0,
"AssetId": 0,
"MembershipType": 0,
"SectionId": 0,
"LoggedInUserAMember": "string",
"LoggedInUserisApprover": "string",
"LoggedInUserIsOwner": true,
"TeamCategoryName": "string",
"ActivePersonCount": 0,
"AssetDimensionX": 0,
"AssetDimensionY": 0,
"TeamOwner": {
"PersonId": 0,
"FullName": "string",
"AssetId": 0,
"JobTitle": "string",
"Department": "string",
"Location": "string",
"Company": "string",
"IsOwner": true,
"EmailAddress": "string",
"WorkPhone": "string",
"MobilePhone": "string",
"IsExportAllowed": true
}
},
"TotalResults": 0,
"Page": 0,
"Size": 0
}| Field | Type |
|---|---|
StatusCode | string |
Result | object |
TotalResults | integer (int32) |
Page | integer (int32) |
Size | integer (int32) |
GET /api/organisation/{organisationId}
Get organisation by id
🔒Access — Site admin
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organisationId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
{
"OrganisationId": 0,
"TypeId": "Company",
"Title": "string",
"Description": "string",
"Active": 0,
"AssetId": 0,
"DisplayDetails": true,
"CategoryId": 0,
"MembershipType": 0,
"SectionId": 0,
"MainContactId": 0,
"DomainId": 0,
"UmiUid": "string",
"SendNotifications": true,
"MentionRedirectPath": "string",
"DefaultLanguageId": 0,
"IsTwoFactorAuthenticationEnabled": true
}| Field | Type |
|---|---|
OrganisationId | integer (int32) |
TypeId | string |
Title | string |
Description | string |
Active | integer (int32) |
AssetId | integer (int32) |
DisplayDetails | boolean |
CategoryId | integer (int32) |
MembershipType | integer (int32) |
SectionId | integer (int32) |
MainContactId | integer (int32) |
DomainId | integer (int32) |
UmiUid | string |
SendNotifications | boolean |
MentionRedirectPath | string |
DefaultLanguageId | integer (int32) |
IsTwoFactorAuthenticationEnabled | boolean |
GET /api/organisation/{organisationId}/basic
Returns basic information about organisations from an org id
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organisationId |
path | integer (int32) | Yes | |
includeOrgCount |
query | boolean | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
{
"OrganisationId": 0,
"TypeId": "Company",
"Title": "string",
"Description": "string",
"Active": 0,
"AssetId": 0,
"DisplayDetails": true,
"CategoryId": 0,
"MembershipType": 0,
"SectionId": 0,
"MainContactId": 0,
"DomainId": 0,
"UmiUid": "string",
"SendNotifications": true,
"MentionRedirectPath": "string",
"DefaultLanguageId": 0,
"IsTwoFactorAuthenticationEnabled": true
}| Field | Type |
|---|---|
OrganisationId | integer (int32) |
TypeId | string |
Title | string |
Description | string |
Active | integer (int32) |
AssetId | integer (int32) |
DisplayDetails | boolean |
CategoryId | integer (int32) |
MembershipType | integer (int32) |
SectionId | integer (int32) |
MainContactId | integer (int32) |
DomainId | integer (int32) |
UmiUid | string |
SendNotifications | boolean |
MentionRedirectPath | string |
DefaultLanguageId | integer (int32) |
IsTwoFactorAuthenticationEnabled | boolean |
POST /api/organisation/{organisationId}/invitations
Create an invitation.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organisationId |
path | integer (int32) | Yes |
Request body
{
"PersonId": 0,
"Message": "string"
}| Field | Type |
|---|---|
PersonId | integer (int32) |
Message | string |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 | |
| 500 |
PUT /api/organisation/{organisationId}/toggletwofactor
Toggle two factor authentication for organisation by id
🔒Access — Site admin
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organisationId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
{
"OrganisationId": 0,
"TypeId": "Company",
"Title": "string",
"Description": "string",
"Active": 0,
"AssetId": 0,
"DisplayDetails": true,
"CategoryId": 0,
"MembershipType": 0,
"SectionId": 0,
"MainContactId": 0,
"DomainId": 0,
"UmiUid": "string",
"SendNotifications": true,
"MentionRedirectPath": "string",
"DefaultLanguageId": 0,
"IsTwoFactorAuthenticationEnabled": true
}| Field | Type |
|---|---|
OrganisationId | integer (int32) |
TypeId | string |
Title | string |
Description | string |
Active | integer (int32) |
AssetId | integer (int32) |
DisplayDetails | boolean |
CategoryId | integer (int32) |
MembershipType | integer (int32) |
SectionId | integer (int32) |
MainContactId | integer (int32) |
DomainId | integer (int32) |
UmiUid | string |
SendNotifications | boolean |
MentionRedirectPath | string |
DefaultLanguageId | integer (int32) |
IsTwoFactorAuthenticationEnabled | boolean |
GET /api/organisation/{organisationId}/approvals
List approvals.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organisationId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 | |
| 500 |
PUT /api/organisation/{organisationId}/approvals/{personId}
Update an approval.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organisationId |
path | integer (int32) | Yes | |
personId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 | |
| 500 |
DELETE /api/organisation/{organisationId}/approvals/{personId}
Delete an approval.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organisationId |
path | integer (int32) | Yes | |
personId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 | |
| 500 |
GET /api/organisation/members
Get a list of members for a given organisation
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organisationId |
query | integer (int32) | Yes | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 |
Response body
{
"StatusCode": "Continue",
"Result": {
"PersonId": 0,
"FullName": "string",
"AssetId": 0,
"JobTitle": "string",
"Department": "string",
"Location": "string",
"Company": "string",
"EmailAddress": "string",
"IsOwner": true,
"WorkPhone": "string",
"MobilePhone": "string",
"IsExportAllowed": true
},
"TotalResults": 0,
"Page": 0,
"Size": 0
}| Field | Type |
|---|---|
StatusCode | string |
Result | object |
TotalResults | integer (int32) |
Page | integer (int32) |
Size | integer (int32) |
POST /api/organisation/{organisationId}/members/me
Create a me.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organisationId |
path | integer (int32) | Yes |
Request body
{
"Message": "string"
}| Field | Type |
|---|---|
Message | string |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 | |
| 500 |
DELETE /api/organisation/{organisationId}/members/me
Delete a me.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organisationId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 | |
| 500 |
GET /api/organisation/type/{organisationType}
Get organisations of a given type, with two-factor status and paging.
🔒Access — Site admin
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organisationType |
path | string | Yes | Allowed values: Company, Department, Group, Location, Team, SectionGroup, Persona, DigitalSignage, Geofence |
twoFactorEnabledFlag |
query | boolean | No | |
order |
query | string | No | |
page |
query | integer (int32) | No | |
size |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
[
{
"OrganisationId": 0,
"TypeId": "Company",
"Title": "string",
"Description": "string",
"Active": 0,
"AssetId": 0,
"DisplayDetails": true,
"CategoryId": 0,
"MembershipType": 0,
"SectionId": 0,
"MainContactId": 0,
"DomainId": 0,
"UmiUid": "string",
"SendNotifications": true,
"MentionRedirectPath": "string",
"DefaultLanguageId": 0,
"IsTwoFactorAuthenticationEnabled": true
}
]| Field | Type |
|---|---|
OrganisationId | integer (int32) |
TypeId | string |
Title | string |
Description | string |
Active | integer (int32) |
AssetId | integer (int32) |
DisplayDetails | boolean |
CategoryId | integer (int32) |
MembershipType | integer (int32) |
SectionId | integer (int32) |
MainContactId | integer (int32) |
DomainId | integer (int32) |
UmiUid | string |
SendNotifications | boolean |
MentionRedirectPath | string |
DefaultLanguageId | integer (int32) |
IsTwoFactorAuthenticationEnabled | boolean |
POST /api/organisation/type
Returns organisations filtered by types with two factor status flag and paging
🔒Access — Site admin
Request body
{
"OrganisationTypes": [
"Company"
],
"TwoFactorEnabledFlag": true,
"Order": "string",
"Page": 0,
"Size": 0
}| Field | Type |
|---|---|
OrganisationTypes | array of string |
TwoFactorEnabledFlag | boolean |
Order | string |
Page | integer (int32) |
Size | integer (int32) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
[
{
"OrganisationId": 0,
"TypeId": "Company",
"Title": "string",
"Description": "string",
"Active": 0,
"AssetId": 0,
"DisplayDetails": true,
"CategoryId": 0,
"MembershipType": 0,
"SectionId": 0,
"MainContactId": 0,
"DomainId": 0,
"UmiUid": "string",
"SendNotifications": true,
"MentionRedirectPath": "string",
"DefaultLanguageId": 0,
"IsTwoFactorAuthenticationEnabled": true
}
]| Field | Type |
|---|---|
OrganisationId | integer (int32) |
TypeId | string |
Title | string |
Description | string |
Active | integer (int32) |
AssetId | integer (int32) |
DisplayDetails | boolean |
CategoryId | integer (int32) |
MembershipType | integer (int32) |
SectionId | integer (int32) |
MainContactId | integer (int32) |
DomainId | integer (int32) |
UmiUid | string |
SendNotifications | boolean |
MentionRedirectPath | string |
DefaultLanguageId | integer (int32) |
IsTwoFactorAuthenticationEnabled | boolean |